buggNewSense GNU/Linux - Bugs: bug #31886, Release file for IceCat broken

 
 

bug #31886: Release file for IceCat broken

Submitter:  Rosario Raulin <glidesurfer>
Submitted:  Wed 15 Dec 2010 08:59:02 AM UTC
 
Category:  gNewSense 2 Severity:  3 - Normal
Item Group:  Package archive Status:  Fixed
Privacy:  Public Assigned to:  None
Open/Closed:  Closed
* Mandatory Fields

Add a New Comment (Rich Markup)
   

Comment Type & Canned Response:
       No canned response available

 

Tue 01 Feb 2011 07:10:50 PM UTC, comment #4: 

gnewsense-external package is available in package repo and works for me. Added to gnewsense-desktop dependencies, which is building right about now.

Sam Geeraerts <samgee>
Project Administrator
Sun 30 Jan 2011 11:59:54 AM UTC, comment #3: 

Fixed by new package gnewsense-external and Builder revs 442-444.

Sam Geeraerts <samgee>
Project Administrator
Sat 01 Jan 2011 03:26:32 PM UTC, comment #2: 

Software-properties-gtk and python-apt don't support separate components (e.g. universe) for sub-suites (e.g. deltah-updates). We made IceCat's "hardy" a sub-suite of deltah to make it show up in the Updates tab. Without that relation IceCat is just Third-party Software, which can't be managed via the gNewSense.info file.

The easiest solution would be to create a separate package to handle third-party software. This would install GPG keys and /etc/apt/*.list. Users can enable/disable those repos with the checkboxes in the "Third-party Software" tab.

Sam Geeraerts <samgee>
Project Administrator
Wed 15 Dec 2010 09:05:59 AM UTC, comment #1: 

By the way, the universe entries are not necessary (there are no packages in that path).

I recommend to remove them by default.

Rosario Raulin <glidesurfer>
Wed 15 Dec 2010 08:59:02 AM UTC, original submission:  

The current "Release" file for the GNU IceCat repos seems to be broken.

A simple "apt-get update" results in the following message:

W: Failed to fetch http://gnuzilla.gnu.org/download/debian/dists/hardy/Release  Unable to find expected entry  universe/binary-i386/Packages in Meta-index file (malformed Release file?)

Like the message says only the "main" entries appear in that file which.

To fix that issue you have to remove the "universe" in your /etc/apt/sources.list manually.

Rosario Raulin <glidesurfer>

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by samgee (Updated the item)
  • -email is unavailable- added by glidesurfer (Submitted the item)
  •  

     

     

     

    Follow 6 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2011-02-26 samgee StatusReady For Test Fixed
        Open/ClosedOpen Closed
    2011-02-01 samgee Assigned tosamgee None
    2011-01-30 samgee StatusConfirmed Ready For Test
        Assigned toNone samgee
    2010-12-20 samgee StatusNone Confirmed

    Back to the top


    Powered by Savane 3.9